<?xml version="1.0" encoding="utf-8"?>
<wsdl:definitions xmlns:p1="http://www.zmc.com/flavor/pp" xmlns:wsu="http://docs.oasis-open.org/wss/2004/01/oasis-200401-wss-wssecurity-utility-1.0.xsd" xmlns:wsp="http://schemas.xmlsoap.org/ws/2004/09/policy" name="si_pp062_bc_sender" targetNamespace="http://www.zmc.com/flavor/pp" xmlns:wsdl="http://schemas.xmlsoap.org/wsdl/">
  <wsdl:documentation />
  <wsp:UsingPolicy wsdl:required="true" />
  <wsp:Policy wsu:Id="OP_si_pp062_bc_sender" />
  <wsdl:types>
    <xsd:schema xmlns="http://www.hbflavor.com/pp" targetNamespace="http://www.hbflavor.com/pp" xmlns:xsd="http://www.w3.org/2001/XMLSchema">
      <xsd:complexType name="dt_pp062_res">
        <xsd:annotation>
          <xsd:documentation xml:lang="EN">response数据类型</xsd:documentation>
          <xsd:appinfo source="http://sap.com/xi/VersionID">001603eb0edc11ed97a60000001b7af6</xsd:appinfo>
        </xsd:annotation>
        <xsd:sequence>
          <xsd:element minOccurs="0" name="MSGTY" type="xsd:string">
            <xsd:annotation>
              <xsd:appinfo source="http://sap.com/xi/TextID">b5c8cca8a67c11ec88cb6018953d3d57</xsd:appinfo>
              <xsd:documentation>消息类型</xsd:documentation>
            </xsd:annotation>
          </xsd:element>
          <xsd:element minOccurs="0" name="MSGTX" type="xsd:string">
            <xsd:annotation>
              <xsd:appinfo source="http://sap.com/xi/TextID">44e2cd7a71b811ecb8f7e86a642def83</xsd:appinfo>
              <xsd:documentation>消息文本</xsd:documentation>
            </xsd:annotation>
          </xsd:element>
          <xsd:element minOccurs="0" maxOccurs="unbounded" name="DATA">
            <xsd:annotation>
              <xsd:appinfo source="http://sap.com/xi/TextID">44e2f07871b811ecb430e86a642def83</xsd:appinfo>
              <xsd:documentation>销售与订单明细对应</xsd:documentation>
            </xsd:annotation>
            <xsd:complexType>
              <xsd:sequence>
                <xsd:element minOccurs="0" name="MATNR" type="xsd:string">
                  <xsd:annotation>
                    <xsd:appinfo source="http://sap.com/xi/TextID">e594a547a99411ec89a36018953d3d57</xsd:appinfo>
                    <xsd:documentation>父项物料</xsd:documentation>
                  </xsd:annotation>
                </xsd:element>
                <xsd:element minOccurs="0" name="MAKTX" type="xsd:string">
                  <xsd:annotation>
                    <xsd:appinfo source="http://sap.com/xi/TextID">44e2cd8171b811ecc217e86a642def83</xsd:appinfo>
                    <xsd:documentation>物料描述</xsd:documentation>
                  </xsd:annotation>
                </xsd:element>
                <xsd:element minOccurs="0" name="WERKS" type="xsd:string">
                  <xsd:annotation>
                    <xsd:appinfo source="http://sap.com/xi/TextID">85c192e1a65e11ec90d86018953d3d57</xsd:appinfo>
                    <xsd:documentation>工厂</xsd:documentation>
                  </xsd:annotation>
                </xsd:element>
                <xsd:element minOccurs="0" name="STLAN" type="xsd:string">
                  <xsd:annotation>
                    <xsd:appinfo source="http://sap.com/xi/TextID">b5a1faa0a65e11ec99e16018953d3d57</xsd:appinfo>
                    <xsd:documentation>BOM 用途</xsd:documentation>
                  </xsd:annotation>
                </xsd:element>
                <xsd:element minOccurs="0" name="STLAL" type="xsd:string">
                  <xsd:annotation>
                    <xsd:appinfo source="http://sap.com/xi/TextID">909f10fba26e11ecb31b6018953d3d57</xsd:appinfo>
                    <xsd:documentation>可选BOM</xsd:documentation>
                  </xsd:annotation>
                </xsd:element>
              </xsd:sequence>
            </xsd:complexType>
          </xsd:element>
        </xsd:sequence>
      </xsd:complexType>
      <xsd:complexType name="dt_pp062_req">
        <xsd:annotation>
          <xsd:documentation xml:lang="EN">request数据类型</xsd:documentation>
          <xsd:appinfo source="http://sap.com/xi/VersionID">732ebfde0ed911edcda30000001b7af6</xsd:appinfo>
        </xsd:annotation>
        <xsd:sequence>
          <xsd:element minOccurs="0" maxOccurs="unbounded" name="DATA">
            <xsd:annotation>
              <xsd:appinfo source="http://sap.com/xi/TextID">3d982b0a66e311ec9012e86a642def83</xsd:appinfo>
              <xsd:documentation>输入数据</xsd:documentation>
            </xsd:annotation>
            <xsd:complexType>
              <xsd:sequence>
                <xsd:element minOccurs="0" name="SOURCESYS" type="xsd:string">
                  <xsd:annotation>
                    <xsd:appinfo source="http://sap.com/xi/TextID">ab218671a99311ec86886018953d3d57</xsd:appinfo>
                    <xsd:documentation>源系统ID</xsd:documentation>
                  </xsd:annotation>
                </xsd:element>
                <xsd:element minOccurs="0" name="TARGETSYS" type="xsd:string">
                  <xsd:annotation>
                    <xsd:appinfo source="http://sap.com/xi/TextID">ab218672a99311ecb30c6018953d3d57</xsd:appinfo>
                    <xsd:documentation>目标系统ID</xsd:documentation>
                  </xsd:annotation>
                </xsd:element>
                <xsd:element minOccurs="0" name="UPDATETIME" type="xsd:string">
                  <xsd:annotation>
                    <xsd:appinfo source="http://sap.com/xi/TextID">ab218673a99311ecb0fb6018953d3d57</xsd:appinfo>
                    <xsd:documentation>数据时间戳</xsd:documentation>
                  </xsd:annotation>
                </xsd:element>
                <xsd:element minOccurs="0" name="MATNR" type="xsd:string">
                  <xsd:annotation>
                    <xsd:appinfo source="http://sap.com/xi/TextID">ab218674a99311ec8a466018953d3d57</xsd:appinfo>
                    <xsd:documentation>物料</xsd:documentation>
                  </xsd:annotation>
                </xsd:element>
                <xsd:element minOccurs="0" name="WERKS" type="xsd:string">
                  <xsd:annotation>
                    <xsd:appinfo source="http://sap.com/xi/TextID">ab218675a99311ecc5bd6018953d3d57</xsd:appinfo>
                    <xsd:documentation>工厂</xsd:documentation>
                  </xsd:annotation>
                </xsd:element>
                <xsd:element minOccurs="0" name="STLAN" type="xsd:string">
                  <xsd:annotation>
                    <xsd:appinfo source="http://sap.com/xi/TextID">ab218676a99311ecba976018953d3d57</xsd:appinfo>
                    <xsd:documentation>BOM用途</xsd:documentation>
                  </xsd:annotation>
                </xsd:element>
                <xsd:element minOccurs="0" name="STLAL" type="xsd:string">
                  <xsd:annotation>
                    <xsd:appinfo source="http://sap.com/xi/TextID">617e0829af0011ec867d6018953d3d57</xsd:appinfo>
                    <xsd:documentation>可选BOM</xsd:documentation>
                  </xsd:annotation>
                </xsd:element>
                <xsd:element minOccurs="0" name="ERDAT_S" type="xsd:string">
                  <xsd:annotation>
                    <xsd:appinfo source="http://sap.com/xi/TextID">ab218677a99311ec90676018953d3d57</xsd:appinfo>
                    <xsd:documentation>BOM更新起始日期</xsd:documentation>
                  </xsd:annotation>
                </xsd:element>
                <xsd:element minOccurs="0" name="ERDAT_E" type="xsd:string">
                  <xsd:annotation>
                    <xsd:appinfo source="http://sap.com/xi/TextID">ab218678a99311eca97d6018953d3d57</xsd:appinfo>
                    <xsd:documentation>BOM更新结束日期</xsd:documentation>
                  </xsd:annotation>
                </xsd:element>
                <xsd:element minOccurs="0" name="ZCATEG" type="xsd:string">
                  <xsd:annotation>
                    <xsd:appinfo source="http://sap.com/xi/TextID">ab218679a99311ecb06f6018953d3d57</xsd:appinfo>
                    <xsd:documentation>产品分类</xsd:documentation>
                  </xsd:annotation>
                </xsd:element>
                <xsd:element minOccurs="0" name="LKENZ" type="xsd:string">
                  <xsd:annotation>
                    <xsd:appinfo source="http://sap.com/xi/TextID">ab21867aa99311ecb6f16018953d3d57</xsd:appinfo>
                    <xsd:documentation>BOM删除标识</xsd:documentation>
                  </xsd:annotation>
                </xsd:element>
                <xsd:element minOccurs="0" name="DATUV" type="xsd:string">
                  <xsd:annotation>
                    <xsd:appinfo source="http://sap.com/xi/TextID">ab21867ba99311eccac26018953d3d57</xsd:appinfo>
                    <xsd:documentation>有效期自</xsd:documentation>
                  </xsd:annotation>
                </xsd:element>
              </xsd:sequence>
            </xsd:complexType>
          </xsd:element>
        </xsd:sequence>
      </xsd:complexType>
    </xsd:schema>
    <xsd:schema xmlns="http://www.zmc.com/flavor/pp" xmlns:p5="http://www.hbflavor.com/pp" targetNamespace="http://www.zmc.com/flavor/pp" xmlns:xsd="http://www.w3.org/2001/XMLSchema">
      <xsd:import namespace="http://www.hbflavor.com/pp" />
      <xsd:element name="mt_pp062_res" type="p5:dt_pp062_res" />
      <xsd:element name="mt_pp062_req" type="p5:dt_pp062_req" />
    </xsd:schema>
  </wsdl:types>
  <wsdl:message name="mt_pp062_req">
    <wsdl:documentation />
    <wsdl:part name="mt_pp062_req" element="p1:mt_pp062_req" />
  </wsdl:message>
  <wsdl:message name="mt_pp062_res">
    <wsdl:documentation />
    <wsdl:part name="mt_pp062_res" element="p1:mt_pp062_res" />
  </wsdl:message>
  <wsdl:portType name="si_pp062_bc_sender">
    <wsdl:documentation />
    <wsdl:operation name="si_pp062_bc_sender">
      <wsdl:documentation />
      <wsp:Policy>
        <wsp:PolicyReference URI="#OP_si_pp062_bc_sender" />
      </wsp:Policy>
      <wsdl:input message="p1:mt_pp062_req" />
      <wsdl:output message="p1:mt_pp062_res" />
    </wsdl:operation>
  </wsdl:portType>
  <wsdl:binding name="si_pp062_bc_senderBinding" type="p1:si_pp062_bc_sender">
    <binding transport="http://schemas.xmlsoap.org/soap/http" xmlns="http://schemas.xmlsoap.org/wsdl/soap/" />
    <wsdl:operation name="si_pp062_bc_sender">
      <operation soapAction="http://sap.com/xi/WebService/soap1.1" xmlns="http://schemas.xmlsoap.org/wsdl/soap/" />
      <wsdl:input>
        <body use="literal" xmlns="http://schemas.xmlsoap.org/wsdl/soap/" />
      </wsdl:input>
      <wsdl:output>
        <body use="literal" xmlns="http://schemas.xmlsoap.org/wsdl/soap/" />
      </wsdl:output>
    </wsdl:operation>
  </wsdl:binding>
  <wsdl:service name="si_pp062_bc_senderService">
    <wsdl:port name="HTTP_Port" binding="p1:si_pp062_bc_senderBinding">
      <address location="http://sappoqas.hbglobal.com:50000/XISOAPAdapter/MessageServlet?senderParty=&amp;senderService=ZMCS_FLAVOR&amp;receiverParty=&amp;receiverService=&amp;interface=si_pp062_bc_sender&amp;interfaceNamespace=http%3A%2F%2Fwww.zmc.com%2Fflavor%2Fpp" xmlns="http://schemas.xmlsoap.org/wsdl/soap/" />
    </wsdl:port>
    <wsdl:port name="HTTPS_Port" binding="p1:si_pp062_bc_senderBinding">
      <address location="https://sappoqas.hbglobal.com:50001/XISOAPAdapter/MessageServlet?senderParty=&amp;senderService=ZMCS_FLAVOR&amp;receiverParty=&amp;receiverService=&amp;interface=si_pp062_bc_sender&amp;interfaceNamespace=http%3A%2F%2Fwww.zmc.com%2Fflavor%2Fpp" xmlns="http://schemas.xmlsoap.org/wsdl/soap/" />
    </wsdl:port>
  </wsdl:service>
</wsdl:definitions>